#import "RemoteBeanCaller.h"
#import <objc/runtime.h>

@interface RemoteBeanProxy : NSObject {
	Protocol *protocol;
	RemoteBeanCaller *caller;
	NSString *remoteBeanName;
}
@property (retain, nonatomic) NSString *remoteBeanName;
@property (assign,nonatomic) Protocol *protocol;
@property (retain) RemoteBeanCaller *caller; // retain, as it lets us keep with proxy without worrying about retaining the bean caller itself

@end
