#import <Foundation/Foundation.h>

@interface NSTask (TaskAdditions)

+ (NSFileHandle*) launchAndGetFileHandle:(NSString *) command args:(NSArray *) args;
+ (NSString *) launchAndGetStringOutput:(NSString *) command args:(NSArray *) args;
+ (NSTask*) launchInShell:(NSString*) commandString;
+ (NSFileHandle *) launchInShellAndGetFileHandle:(NSString *) commandString;
+ (NSString *) launchInShellAndGetStringOutput:(NSString *) commandString;

- (void) writeStandardInput:(NSString*) s;
- (NSFileHandle*) getStandardOutputFileHandle;

@end


