#import <CoreData/CoreData.h>

@interface CoreDataManager : NSObject {
	NSManagedObjectModel *managedObjectModel;
	NSManagedObjectContext *managedObjectContext;		
	NSPersistentStoreCoordinator *persistentStoreCoordinator;	
}
@property (nonatomic, retain, readonly) NSManagedObjectModel *managedObjectModel;
@property (nonatomic, retain, readonly) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;

#if TARGET_OS_IPHONE
- (NSMutableArray*) fetchWithAlertOnError:(NSFetchRequest*) request;
- (BOOL) saveWithAlertOnError;
#endif
- (NSString *)applicationDocumentsDirectory;

@end
