@interface JavaLauncher : NSObject {
	NSString *mainClass;
	NSArray *classpath;
	NSArray *programArgs;
	NSDictionary *properties;
	NSArray *vmArgs;
	NSString *javaVersion;
}

@property (retain) NSString *javaVersion;
@property (retain) NSArray *classpath;
@property (retain) NSArray *vmArgs;
@property (retain) NSDictionary *properties;
@property (retain) NSArray *programArgs;
@property (retain) NSString *mainClass;

- initWithMainBundle;
- initWithBundle:(NSBundle*) bundle;
- (void) launch:(BOOL) startRunLoop;
- (void) addToClasspath:(NSString*) path;
- (void) addFolderToClasspath:(NSString*) dir;

@end
