#import "RemoteBeanService.h"
#import "TCPServer.h"
#import "SocketAdvertiser.h"

@interface RemoteBeanSocket : NSObject {
	TCPServer *server;
	NSString *advertisedName;
	int port;
}
@property (assign) int port;
@property (retain) NSString *advertisedName;
@property (readonly) SocketAdvertiser *socketAdvertiser;
@property (retain) TCPServer *server;
@property (readonly) RemoteBeanService *remoteBeanService;

- (void) start;

@end
