#import <Cocoa/Cocoa.h>
#import "ToolbarItemForView.h"
#import "NSView+SingleViewContainer.h"

@interface ViewSwitcher : NSObject {
	NSString *titlePrefix;
	IBOutlet id initialViewSender;
	NSMutableArray *allItems;
	ToolbarItemForView *selectedItem;
	IBOutlet NSView *container;
	NSWindow *window;
}
@property (assign) ToolbarItemForView *selectedItem;
@property (nonatomic, assign) NSView *container;
@property (nonatomic, retain) id initialViewSender;
@property (retain) NSString *titlePrefix;

- (IBAction) showViewForToolbarItem:(ToolbarItemForView*) sender;
- (void) addItem:(NSToolbarItem*) item atIndex:(int) index;
- (BOOL) windowShouldClose;
- (void) windowDidResignKey;

@end
